% !TeX spellcheck = en_GB
%%%%%%%%%%%%%%%%%%%%% Packages calls %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\documentclass[british, a4paper, 10pt]{article}									%%
\usepackage[utf8]{inputenc}														%%
\usepackage[T1]{fontenc}														%%
\usepackage{textcomp}															%%
\usepackage{babel}																%%
\usepackage{lmodern}															%%
\usepackage[top=3cm, bottom=3cm, left=3cm, right=3cm]{geometry}					%%
\usepackage{fancyhdr}															%%
\usepackage{amsfonts}															%%
\usepackage{mathtools}															%%
\usepackage{amssymb}															%%
\usepackage{hyperref}															%%
\usepackage{booktabs}															%%
\usepackage{graphicx}															%%
\usepackage{listings}															%%
\usepackage{color}																%%
\definecolor{dkgreen}{rgb}{0,0.6,0}												%%
\definecolor{gray}{rgb}{0.5,0.5,0.5}											%%
\definecolor{mauve}{rgb}{0.58,0,0.82}											%%
\newlength{\picwidth}															%%
\setlength{\picwidth}{0.8\linewidth}											%%
%%%%%%%%%%%%%%%%%%%%% Commands Definition %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\N}{\mathbb{N}}														%%
\newcommand{\Z}{\mathbb{Z}}														%%
\newcommand{\Q}{\mathbb{Q}}														%%
\newcommand{\R}{\mathbb{R}}														%%
\newcommand{\C}{\mathbb{C}}														%%
\renewcommand{\vec}{\overrightarrow}											%%
\newcommand{\Matlab}{\textsc{Matlab}}											%%
\newcommand{\barre}{\vspace{3pt}\hrule\vspace{6pt}}								%%
\newcommand{\HRule}{\rule{\linewidth}{0.5mm}}									%%
\author{\coauthorOne - \coauthorTwo}											%%
\title{\betitle}																%%
\hypersetup{bookmarks=true,														%%
			pdfborder={0 0 0},													%%
			pdftoolbar=false,													%%
			citecolor=blue		}												%%
\lstset{frame=tb,																%%
		language=Python,														%%
		aboveskip=3mm,															%%
		belowskip=3mm,															%%
		showstringspaces=false,													%%
		columns=flexible,														%%
		basicstyle={\small\ttfamily},											%%
		numbers=none,															%%
		numberstyle=\tiny\color{gray},											%%
		keywordstyle=\color{blue},												%%
		commentstyle=\color{dkgreen},											%%
		stringstyle=\color{mauve},												%%
		breaklines=true,														%%
		breakatwhitespace=true,													%%
		tabsize=4																%%
}																				%%
%%%%%%%%%%%%%%%%%%%%% Head and foot definition %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\pagestyle{fancy}																%%
	\lhead{\matiere}		\chead{}	\rhead{\betitle}						%%
	\renewcommand{\headrulewidth}{0.4pt}										%%
	\renewcommand{\footrulewidth}{0.4pt}										%%
	\lfoot{\coauthorOne}\cfoot{\thepage/\pageref{LastPage}}	\rfoot{\coauthorTwo}%%
																				%%
\fancypagestyle{plain}{															%%
	\lhead{}	\chead{}	\rhead{}											%%
	\renewcommand{\headrulewidth}{0pt}											%%
	\renewcommand{\footrulewidth}{0pt}											%%
	\lfoot{}	\cfoot{}	\rfoot{}}											%%
%%%%%%%%%%%%%%%%%%%%% Title page %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\maketitlepage}{													%%
\begin{titlepage}																%%
	\pagestyle{plain}															%%
	\begin{large}																%%
		\begin{center}															%%
			\textsc{\LARGE \matiere}\\[1.5cm]									%%
																				%%
			\textsc{\Large \group}\\[0.5cm]										%%
																				%%
			\HRule \\[0.4cm]													%%
			{\huge \bfseries \betitle  \\[0.4cm]}								%%
			\HRule \\[1.5cm]													%%
																				%%
			\noindent															%%
			\begin{minipage}{0.4\textwidth}										%%
				\begin{flushleft} \large										%%
					\emph{Student:}\\											%%
					\medskip													%%
					\coauthorOne\\												%%
					\medskip													%%
					\coauthorTwo												%%
				\end{flushleft}													%%
			\end{minipage}														%%
			\begin{minipage}{0.4\textwidth}										%%
				\begin{flushright} \large										%%
					\emph{Teacher:}\\											%%
					\medskip													%%
					\teacherOne\\												%%
					\medskip													%%
					\teacherTwo													%%
				\end{flushright}												%%
			\end{minipage}\\													%%
																				%%
			\vspace{2\baselineskip}  											%%
			{\Large \duedate}													%%
		\end{center}															%%
		\vfill																	%%
		\begin{large}															%%
			\introText															%%
		\end{large}																%%
	\end{large}																	%%
	\tableofcontents															%%
\newpage																		%%
$~$																				%%
\end{titlepage}																	%%
\newpage																		%%
}																				%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%% Doc Info %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\betitle}		{Lab Report : IIR Filters}							%%
\newcommand{\matiere}		{ENG5027 - Digital Signal Processing}			  	%%
\newcommand{\coauthorOne}	{R\'emy \textsc{Chatel}}							%%
\newcommand{\coauthorTwo}	{2411062C}											%%
\newcommand{\teacherOne}	{Bernd \textsc{Porr} \\ $~$}						%%
\newcommand{\teacherTwo}	{$~$}												%%
\newcommand{\duedate}		{Due December, 17th 2018}							%%
\newcommand{\group}			{University of Glasgow}								%%
\newcommand{\introText}		{													%%
\paragraph*{\emph{Abstract}}													%%

}																				%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{document}	
\maketitlepage

\section{test}
plop

\newpage
\appendix
\section{Codes}
\noindent All source files can be found at the following address : \url{https://gitlab.com/r.chatel/uog_dsp}

\paragraph{Source files} :

\noindent FIR filter classes
\lstinputlisting{../IIR.py}
\label{cod:fir}


\label{LastPage}
\end{document}
